' -----[ Title ]-----------------------------------------------------------
'
' File...... proj1PBC.bas
' Format.... PicBasic 
' Purpose... PIC16F876 flash LED 
' Author.... Chuck Hellebuyck
' Started...  June 16, 1999
' Updated... 


' -----[ Program Description ]---------------------------------------------
' This is a simple program written to flash an LED by turning it on for one second and off for
'one second. The LED should be connected to port B pin 0 (16F876 pin 21) with the Cathode to 
'ground and the anode at the PIC. A 100 ohm resistor is used in series with the LED to limit the 
'current.


	
symbol	LED = 0			'Rename pin 0 of portb (PIC 16F84 pin 6) to LED

	DIRS = %00000001	'Setup port b as RB7-RB1 inputs, RB0 as output
main:				'Label for beginning of main loop
	High LED       	'Set pin 0 of portb high (5 volts) which turns the LED on
	pause 1000		'Pause 1000 milliseconds (1 second) with LED on
	Low LED        	'Set pin 0 of portb low (0 volts) which turns the LED off
	pause 1000		'Pause for 1 second with LED off
	goto main		'Jump to the main label and do it all again and again 

	END			'This line is not needed but its safe to put it here just in case
				'  the program gets lost.


