' -----[ Title ]-----------------------------------------------------------
'
' File...... proj6PBC.bas
' Purpose... PIC 16F876 -> Servo
' Author.... Chuck Hellebuyck
' Started... 15 January 2000
' Updated... 


' -----[ Program Description ]---------------------------------------------
'
'This is a simple program to drive a servo. It initially sets the servo to 
'the halfway point of its movement for a short period of time and then
'drives the servo to its full counterclockwise position and then to its full
'clockwise position. The back and forth movement is repeated continously in
'a loop.
'
'Connections:
'PIC-PIN		Servo
'RB2			Control wire (yellow)
'Vdd - 5V		Power Wire (red)
'Vss - Ground		Ground wire (black)
'MCLR - 5V (thru 1k)

' -----[ Constants/Defines ]-------------------------------------------------------
'

' -----[ Variables ]-------------------------------------------------------
'

' -----[ Initialization ]--------------------------------------------------
'
		 
' -----[ Main Loop ]---------------------------------------------


Center:	
	For b2 = 1 to 100	'Send center signal 50 times
	pulsout 2, 150		'150 * 10usec = 1.5 msec
	pause 20		'wait 20 msec
	next			'if 50 are complete move on
 
servo:	
'-------Clockwise Direction----------------
	for b0 = 100 to 200	'Move from left to right
	pulsout	2,b0		'send position signal
	pause 20		'wait 20 msec
	next			'if all positions complete move on
'-------Counter Clockwise Direction--------
	for b0 = 200 to 100 step -1	'move right to left
	pulsout	2,b0			'send position signal
	pause 20			'wait 20 msec
	next				'if all positions complete move on

	goto servo		'loop to servo label and do it again
